# Payment Account Attributes Inquiry
Find key attributes of a specific payment account.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Funds Transfer Attributes Inquiry API
The Funds Transfer Attributes Inquiry API is often used with a funds transfer to/from a Visa payment account to determine key characteristics of a recipient card before initiating the transfer like country, card-type, block status, etc.

### [POST] /paai/fundstransferattinq/v5/cardattributes/fundstransferinquiry
**Funds Transfer Inquiry**

Retrieve the attributes, which determine the key characteristics of a recipient payment account before initiating a funds transfer, by providing the Primary Account Number (PAN) or Token for both Visa and Non-Visa cards

#### Request Body

Request body for Funds Transfer Inquiry

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"accountType"**: string, <br>**Available values:** "DEBIT", "CREDIT", **"acquiringBin"**: integer, **"sharingGroupCode"**: string, **"acquirerCountryCode"**: string, **"primaryAccountNumber"**: string, **"systemsTraceAuditNumber"**: string, **"retrievalReferenceNumber"**: string, **"paymentCredentialReference"**: { **"type"**: string, <br>**Available values:** "PCI_TOKEN_REFID", "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYMENT_CREDENTIAL_ID", **"value"**: string, **"merchantId"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Funds Transfer Inquiry Response | **application/json**: { **"ppgsNetworkInfo"**: [ { **"networkId"**: integer, **"cardTypeCode"**: string, **"octFastFunds"**: string, **"aftXbParticipant"**: string, **"cardPlatformCode"**: string, **"octXbParticipant"**: string, **"aftDomParticipant"**: string, **"gamingAndGambling"**: string, **"octDomParticipant"**: string, **"billingCurrencyCode"**: integer, **"cardIssuerCountryCode"**: integer, **"billingCurrencyMinorDigits"**: integer } ], **"visaNetworkInfo"**: [ { **"issuerName"**: string, **"accountType"**: string, **"comboCardRange"**: string, **"billingCurrency"**: integer, **"cardProductType"**: string, **"cardSubTypeCode"**: string, **"cardPlatformCode"**: string, **"geoRestrictionInd"**: string, **"issuerCountryCode"**: integer, **"pullFundsDomestic"**: string, **"prepaidSubtypeCode"**: string, **"accountCurrencyCode"**: integer, **"pullFundsCrossBorder"**: string, **"billingCurrencyCodeMinorDigits"**: string, **"moneyTransferFastFundsDomestic"**: string, **"moneyTransferPushFundsDomestic"**: string, **"onlineGamblingFastFundsDomestic"**: string, **"onlineGamblingPushFundsDomestic"**: string, **"moneyTransferFastFundsCrossBorder"**: string, **"moneyTransferPushFundsCrossBorder"**: string, **"nonMoneyTransferFastFundsDomestic"**: string, **"nonMoneyTransferPushFundsDomestic"**: string, **"onlineGamblingFastFundsCrossBorder"**: string, **"onlineGamblingPushFundsCrossBorder"**: string, **"pushFundsCrossBorderAuthApprovalInd"**: string, **"nonMoneyTransferFastFundsCrossBorder"**: string, **"nonMoneyTransferPushFundsCrossBorder"**: string } ] }<br> |
| 400 | Invalid request parameter |  |

### [POST] /paai/fundstransferattinq/v2/cardattributes/fundstransferinquiry
**Funds Transfer Inquiry**

Retrieve the attributes, which determine the key characteristics of a recipient payment account before initiating a funds transfer, by providing the Primary Account Number (PAN)

#### Request Body

Request body for Funds Transfer Inquiry

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"acquiringBin"**: integer, **"sharingGroupCode"**: string, **"acquirerCountryCode"**: string, **"primaryAccountNumber"**: string, **"systemsTraceAuditNumber"**: string, **"retrievalReferenceNumber"**: string, **"showComboCardRangeIndicator"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Funds Transfer Inquiry Response | **application/json**: { **"ppgsNetworkInfo"**: [ { **"networkId"**: integer, **"aftXbParticipant"**: string, **"octXbParticipant"**: string, **"aftDomParticipant"**: string, **"octDomParticipant"**: string, **"billingCurrencyCode"**: integer, **"cardIssuerCountryCode"**: integer, **"billingCurrencyMinorDigits"**: integer } ], **"visaNetworkInfo"**: [ { **"issuerName"**: string, **"cardTypeCode"**: string, **"comboCardRange"**: string, **"geoRestrictionInd"**: string, **"fastFundsIndicator"**: string, **"billingCurrencyCode"**: integer, **"cardIssuerCountryCode"**: string, **"pushFundsBlockIndicator"**: string, **"billingCurrencyMinorDigits"**: string, **"onlineGambingBlockIndicator"**: string } ] }<br> |

### [POST] /paai/fundstransferattinq/v1/cardattributes/fundstransferinquiry
**Funds Transfer Inquiry**

Retrieve the attributes, which determine the key characteristics of a recipient payment account before   initiating a funds transfer, by providing the Primary Account Number (PAN)

#### Request Body

Request body for Funds Transfer Inquiry

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"acquiringBin"**: integer, **"cardPlatformCode"**: string, **"sharingGroupCode"**: string, **"primaryAccountNumber"**: string, **"systemsTraceAuditNumber"**: string, **"retrievalReferenceNumber"**: string }<br>**application/xml**: { **"acquiringBin"**: integer, **"cardPlatformCode"**: string, **"sharingGroupCode"**: string, **"primaryAccountNumber"**: string, **"systemsTraceAuditNumber"**: string, **"retrievalReferenceNumber"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Funds Transfer Inquiry Response | **application/json**: { **"issuerName"**: string, **"cardTypeCode"**: string, **"aftXbParticipant"**: string, **"octXbParticipant"**: string, **"aftDomParticipant"**: string, **"geoRestrictionInd"**: string, **"octDomParticipant"**: string, **"fastFundsIndicator"**: string, **"billingCurrencyCode"**: integer, **"cardIssuerCountryCode"**: integer, **"numberOfMinorUnitsUsed"**: integer, **"currencyCodeDestination"**: string, **"pushFundsBlockIndicator"**: string, **"onlineGambingBlockIndicator"**: string, **"countryCodeIssuingInstitution"**: string, **"billingCurrencyCodeMinorDigits"**: string }<br>**application/xml**: { **"issuerName"**: string, **"cardTypeCode"**: string, **"aftXbParticipant"**: string, **"octXbParticipant"**: string, **"aftDomParticipant"**: string, **"geoRestrictionInd"**: string, **"octDomParticipant"**: string, **"fastFundsIndicator"**: string, **"billingCurrencyCode"**: integer, **"cardIssuerCountryCode"**: integer, **"numberOfMinorUnitsUsed"**: integer, **"currencyCodeDestination"**: string, **"pushFundsBlockIndicator"**: string, **"onlineGambingBlockIndicator"**: string, **"countryCodeIssuingInstitution"**: string, **"billingCurrencyCodeMinorDigits"**: string }<br> |

---
### Schemas

#### FundsTransferInquiryResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| ppgsNetworkInfo | [ { **"networkId"**: integer, **"cardTypeCode"**: string, **"octFastFunds"**: string, **"aftXbParticipant"**: string, **"cardPlatformCode"**: string, **"octXbParticipant"**: string, **"aftDomParticipant"**: string, **"gamingAndGambling"**: string, **"octDomParticipant"**: string, **"billingCurrencyCode"**: integer, **"cardIssuerCountryCode"**: integer, **"billingCurrencyMinorDigits"**: integer } ] | Conditional, should be present if PAN has non Visa Network associated | Yes |
| visaNetworkInfo | [ { **"issuerName"**: string, **"accountType"**: string, **"comboCardRange"**: string, **"billingCurrency"**: integer, **"cardProductType"**: string, **"cardSubTypeCode"**: string, **"cardPlatformCode"**: string, **"geoRestrictionInd"**: string, **"issuerCountryCode"**: integer, **"pullFundsDomestic"**: string, **"prepaidSubtypeCode"**: string, **"accountCurrencyCode"**: integer, **"pullFundsCrossBorder"**: string, **"billingCurrencyCodeMinorDigits"**: string, **"moneyTransferFastFundsDomestic"**: string, **"moneyTransferPushFundsDomestic"**: string, **"onlineGamblingFastFundsDomestic"**: string, **"onlineGamblingPushFundsDomestic"**: string, **"moneyTransferFastFundsCrossBorder"**: string, **"moneyTransferPushFundsCrossBorder"**: string, **"nonMoneyTransferFastFundsDomestic"**: string, **"nonMoneyTransferPushFundsDomestic"**: string, **"onlineGamblingFastFundsCrossBorder"**: string, **"onlineGamblingPushFundsCrossBorder"**: string, **"pushFundsCrossBorderAuthApprovalInd"**: string, **"nonMoneyTransferFastFundsCrossBorder"**: string, **"nonMoneyTransferPushFundsCrossBorder"**: string } ] | Conditional, should be present if PAN has Visa Network associated | Yes |

#### FundsTransferInquiryRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| acquiringBin | integer | The Bank Identification Number (BIN) under which your Funds Transfer application is registered. This must match the information provided during enrollment. | No |
| cardPlatformCode | string | Indicates the type of card. This is a 2-character alphabetic code.<br>BZ -  Business.<br>CN -  Consumer.<br>CO -  Commercial.<br>GV -  Government. | No |
| sharingGroupCode | string | This field is optionally used by Push Payments Gateway participants (merchants and acquirers) to get the attributes for specified networks only. The networks specified in this field must be a subset of the information provided during program enrollment. Refer to <a href="/request_response_codes#network_id_and_sharing_group_code"> Sharing Group Code </a><br>Note:<br>Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| primaryAccountNumber | string | The primary account number for which account attributes are being requested | Yes |
| systemsTraceAuditNumber | string | A unique value should be used for each API method where this is required. If this is used for funds transfer, please refer to <a href="/capabilities/visa_direct/reference#visa_direct__funds_transfer__v1__pullfunds" > PullFundsTransactions POST</a> Funds Transfer API for more details. | Yes |
| retrievalReferenceNumber | string | A value used to tie together service calls related to a single financial transaction.<br>Recommended Format: ydddhhnnnnnn<br>The first fours digits must be a valid yddd date in the Julian date format, where the first digit = 0-9 (last digit of current year) and the next three digits = 001-366 (number of the day in the year).<br>hh can be the two digit hour in a 24 hour clock (00-23) during which the transaction is performed.<br> nnnnnn can be the SystemsTraceAuditNumber or any 6 digit number. | Yes |

#### FundsTransferInquiryRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| accountType | string, <br>**Available values:** "DEBIT", "CREDIT" | This is used to identify the account type of the recipientPrimaryAccountNumber in the request. Below are the possible values. <br><br><b>DEBIT</b><br><b>CREDIT</b><br><br> Processing codes for Debit account Type <br>10-Saving account<br>20-Checking account<br><br>Processing codes for Credit account Type<br>30-Credit card account<br><br> If accountType is not provided for Combo Card, then response will display<br><br>10 or 20 for Combo Card  <br>30 for Combo Card<br>*Enum:* `"DEBIT"`, `"CREDIT"` | No |
| acquiringBin | integer | This is an optional field. The Bank Identification Number (BIN) under which your Funds Transfer application is registered. This must match the information provided during enrollment.<br><br> <b> NOTE: </b> <br> PAN check digit validation only occurs for mVisa BIN<br>If acquiring BIN is not passed in request there is no length/check digit validation even for mvisa | No |
| sharingGroupCode | string | This field is optionally used by Push Payments Gateway participants (merchants and acquirers) to get the attributes for specified networks only. The networks specified in this field must be a subset of the information provided during program enrollment. Refer to <a href="/request_response_codes#network_id_and_sharing_group_code"> Sharing Group Code</a>.<br>Note:<br>Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| acquirerCountryCode | string | This is an optional field. <br>Use a 3-digit numeric country code for the country where the Funds Transfer solution is registered. This must match the information provided during program enrollment. | No |
| primaryAccountNumber | string | The primary account number or Token for which account attributes are being requested | No |
| systemsTraceAuditNumber | string | A numeric value is required. | Yes |
| retrievalReferenceNumber | string | A numeric value is required. | Yes |
| paymentCredentialReference | { **"type"**: string, <br>**Available values:** "PCI_TOKEN_REFID", "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYMENT_CREDENTIAL_ID", **"value"**: string, **"merchantId"**: string } | Object to carry a payment instrument that is an alternative to PAN or network token e.g. PCI Token Reference ID  <b>Conditional</b> Only one of 'primaryAccountNumber' and 'paymentCredentialReference' is provided in a request  | No |

#### FundsTransferInquiryResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| issuerName | string | Name of the recipient issuer.<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| cardTypeCode | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/.  request_response_codes#card_type">cardTypeCode</a> | No |
| aftXbParticipant | string | Pull Funds(AFT) Cross Border Indicator.<br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| octXbParticipant | string | Push Funds(OCT) Cross Border Indicator.<br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| aftDomParticipant | string | Pull Funds(AFT) Domestic Indicator.<br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| geoRestrictionInd | string | This field will determine if the recipient issuer can accept transactions from the Originator country.<br>Y - Transactions cannot be accepted from the sender country.<br>N - Transactions are allowed..<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| octDomParticipant | string | Push Funds(OCT) Domestic Indicator.<br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| fastFundsIndicator | string | Indicates the funds delivery speed of the primaryAccountNumber submitted in the request. If the value is 'B', 'C', or 'D', funds will be available to the recipient within 30 minutes of successful transfer. If the value is 'N', the funds will be available within 2 business days of successful transfer.<br>Refer to <a href="/.  request_response_codes#fast_funds_indicator">fastFundsIndicator</a>.<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| billingCurrencyCode | integer | Use a 3-digit numeric currency code for the card billing currency of the PAN.<br>Refer to <a href="/request_response_codes#currency_codes">ISO Codes</a>.<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| cardIssuerCountryCode | integer | Refer to <a href="/request_response_codes#iso_country_codes">ISO Codes</a>.<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| numberOfMinorUnitsUsed | integer | Identifies the number of decimal positions that should be present in any amounts for the requested card's billing currency.<br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| currencyCodeDestination | string | Use a 3-digit numeric currency code for the card billing currency of the primaryAccountNumber. Refer to <a href="/request_response_codes#iso_country_codes">ISO Codes</a><br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| pushFundsBlockIndicator | string | Indicates whether the PAN submitted in the request can receive Push Funds(OCTs).<br>Refer to <a href="/request_response_codes#pushFundsIndicator">pushFundsBlockIndicator</a>.<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| onlineGambingBlockIndicator | string | Indicates whether the primaryAccountNumber submitted in the request can receive Push Funds(OCTs) for gambling-type transactions. If the value is "Y", then the account cannot receive gambling Push Funds (OCTs). If the value is "N", the account can receive gambling Push Funds (OCTs).<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
| countryCodeIssuingInstitution | string | Refer to <a href="/request_response_codes#iso_country_codes">ISO Codes</a><br> <b> Note:</b>  <br> Supported only in US for domestic transactions involving Push Payments Gateway Service. | No |
| billingCurrencyCodeMinorDigits | string | Identifies the number of decimal positions that should be present in any amounts for the requested card's billing currency.<br> <b> Note:</b>  <br> This field is only applicable for Visa networks. | No |
